## openwsman 2.4.7

=== CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/
#

PROJECT(openwsman)

cmake_minimum_required(VERSION 2.4)

include(CTest)
enable_testing()
#
# cmake2.6: backward compatibility to cmake 2.4
#
if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 OLD)
endif(COMMAND cmake_policy)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 OLD)
endif(COMMAND cmake_policy)
	      
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

INCLUDE( ${CMAKE_SOURCE_DIR}/VERSION.cmake )
SET(VERSION "${OPENWSMAN_MAJOR}.${OPENWSMAN_MINOR}.${OPENWSMAN_PATCH}")
   MESSAGE(STATUS "Version ${VERSION}")
SET(PACKAGE_VERSION \"${OPENWSMAN_MAJOR}.${OPENWSMAN_MINOR}\")
   MESSAGE(STATUS "Package Version ${PACKAGE_VERSION}")
SET(OPENWSMAN_PLUGIN_API_VERSION \"${OPENWSMAN_PLUGIN_API_MAJOR}.${OPENWSMAN_PLUGIN_API_MINOR}\")
   MESSAGE(STATUS "Plugin API Version ${OPENWSMAN_PLUGIN_API_VERSION}")
# build timestamp
EXECUTE_PROCESS(COMMAND "/bin/date" "+%Y%m%d%H%M" OUTPUT_VARIABLE BUILD_DATE)
STRING(REPLACE "\n" "" PACKAGE_BUILDTS "${BUILD_DATE}")
   MESSAGE(STATUS "Package build timestamp ${PACKAGE_BUILDTS}")

# Package architecture
IF ( NOT DEFINED PACKAGE_ARCHITECTURE )
 EXECUTE_PROCESS(COMMAND "/bin/uname" "-m" OUTPUT_VARIABLE UNAME_M)
 # strip trailing newline
 STRING(REPLACE "\n" "" PACKAGE_ARCHITECTURE ${UNAME_M})
ENDIF ( NOT DEFINED PACKAGE_ARCHITECTURE )
MESSAGE(STATUS "Building for ${PACKAGE_ARCHITECTURE}" )


# Library path (lib / lib64 )

IF ( DEFINED LIB )
  SET ( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${LIB}" )
ELSE ( DEFINED  LIB )
  IF (CMAKE_SIZEOF_VOID_P MATCHES "8")
    SET( LIB_SUFFIX "64" )
  ENDIF(CMAKE_SIZEOF_VOID_P MATCHES "8")
  SET ( LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" )
ENDIF ( DEFINED  LIB )
MESSAGE(STATUS "Libraries will be installed in ${LIB_INSTALL_DIR}" )
SET( BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin" )
SET( INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" )
IF( "${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
  SET( SYSCONFDIR "/etc" )
ELSE( "${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
  SET( SYSCONFDIR "${CMAKE_INSTALL_PREFIX}/etc" )
ENDIF( "${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr")
SET( WSMANCONF_DIR "${SYSCONFDIR}/openwsman" )
MESSAGE(STATUS "Configuration will be installed in ${WSMANCONF_DIR}" )
SET( DEFAULT_CONFIG_FILE "\"${WSMANCONF_DIR}/openwsman.conf\"")
SET( DEFAULT_CLIENT_CONFIG_FILE "\"${WSMANCONF_DIR}/openwsman_client.conf\"")
SET( PACKAGE_SUBSCRIPTION_DIR "/var/lib/openwsman/subscriptions" )
SET( PACKAGE_PLUGIN_DIR "${LIB_INSTALL_DIR}/openwsman/plugins" )
SET( PACKAGE_AUTH_DIR "${LIB_INSTALL_DIR}/openwsman/authenticators" )


# Macro for error message when header files not present, but build option
# explicitly declared
MACRO(NO_HEADERS_WARNING_EXPL optionName pkgName)
   MESSAGE(STATUS "************  WARNING  *************")
   MESSAGE(STATUS "Didn't Find ${pkgName} Headers... ")
   MESSAGE(STATUS "${optionName} explicitly requested.")
   MESSAGE(STATUS "Make sure ${pkgName} header files are available and run cmake again.")
   MESSAGE(STATUS "************************************")
   SET(HAVE_WARNINGS YES)
ENDMACRO(NO_HEADERS_WARNING_EXPL)
    
# Macro for error message when header files not present, but build option
# not explicitly declared
MACRO(NO_HEADERS_WARNING optionName pkgName)
   SET(${optionName} NO)
   SET(HAVE_WARNINGS YES)
   MESSAGE(STATUS "************  WARNING  *************")
   MESSAGE(STATUS "Didn't Find ${pkgName} Headers... Not Building ${pkgName} Bindings")
   MESSAGE(STATUS "************************************")
ENDMACRO(NO_HEADERS_WARNING)

# For binding options, see if it is explicitly set on the command line,
# before defining the option with a default.  Then if we don't find
# the headers: if it was explicitly set then fail, otherwise
# just give a warning message
SET( BUILD_PYTHON_EXPLICIT ${BUILD_PYTHON})
SET( BUILD_RUBY_EXPLICIT ${BUILD_RUBY})
SET( BUILD_PERL_EXPLICIT ${BUILD_PERL})
SET( BUILD_JAVA_EXPLICIT ${BUILD_JAVA})
SET( BUILD_SWIG_PLUGIN_EXPLICIT ${BUILD_SWIG_PLUGIN})

# options

OPTION( BUILD_LIBCIM "Build CIM plugin" YES )
OPTION( BUILD_EXAMPLES "Build examples" YES )
OPTION( BUILD_BINDINGS "Build client bindings and swig server plugin" YES )
OPTION( BUILD_PYTHON "Build Python bindings" YES )
OPTION( BUILD_RUBY "Build Ruby bindings" YES )
IF( BUILD_RUBY )
OPTION( BUILD_RUBY_GEM "Build Ruby GEM" YES )
ENDIF( BUILD_RUBY )
OPTION( BUILD_PERL "Build Perl bindings" YES )
OPTION( BUILD_JAVA "Build Java bindings" YES )
OPTION( BUILD_CSHARP "Build C# bindings" YES)
OPTION( BUILD_CUNIT_TESTS "Build serialization tests" NO )
OPTION( DISABLE_PLUGINS "Do not build plugins" NO )
OPTION( BUILD_SWIG_PLUGIN "Build SWIG plugin" YES )
OPTION( DISABLE_SERVER "Do not build server component" NO )
OPTION( ENABLE_EVENTING_SUPPORT "WS-Eventing wanted" YES )
OPTION( WSMAN_DEBUG_VERBOSE "Verbose debug logging" NO )
OPTION( ENABLE_IPV6 "Enable IPv6 support" YES )
OPTION( BUILD_TESTS "Build tests" YES )


IF (ENABLE_EVENTING_SUPPORT)
  SET(ENABLE_EVENTING_SUPPORT 1)
ELSE (ENABLE_EVENTING_SUPPORT)
  SET(ENABLE_EVENTING_SUPPORT 0)
ENDIF (ENABLE_EVENTING_SUPPORT)

IF(WSMAN_DEBUG_VERBOSE)
  SET(WSMAN_DEBUG_VERBOSE 1)
ELSE(WSMAN_DEBUG_VERBOSE)
  SET(WSMAN_DEBUG_VERBOSE 0)
ENDIF(WSMAN_DEBUG_VERBOSE)

OPTION( USE_PAM "Use PAM authentication" YES )
IF( USE_PAM )
  FIND_LIBRARY( HAVE_LIBPAM "pam" )
  IF(HAVE_LIBPAM)
    SET( HAVE_PAM 1 )
    MESSAGE(STATUS "building PAM authentication" )
  ELSE(HAVE_LIBPAM)
    MESSAGE(WARNING " libpam not found, disabling PAM authentication" )
    SET( HAVE_PAM 1 )
  ENDIF(HAVE_LIBPAM)
ELSE( USE_PAM )
 SET( HAVE_PAM 0 )
 MESSAGE(STATUS "Disabling PAM authentication" )
ENDIF( USE_PAM )

INCLUDE(FindOpenSSL)
IF(OPENSSL_FOUND)
  SET(HAVE_SSL 1)
  SET(USE_OPENSSL 1)
ENDIF(OPENSSL_FOUND)

IF( BUILD_RUBY )
INCLUDE(FindRuby)
  EXECUTE_PROCESS(COMMAND ${RUBY_EXECUTABLE} -r rbconfig -e "print RbConfig::CONFIG['sitearchdir']"
    OUTPUT_VARIABLE RUBY_SITEARCH_DIR)

MESSAGE(STATUS "Building Ruby bindings" )
 IF(NOT RUBY_INCLUDE_PATH)
  IF(BUILD_RUBY_EXPLICIT)
   NO_HEADERS_WARNING_EXPL(BUILD_RUBY Ruby)
  ELSE(BUILD_RUBY_EXPLICIT)
   NO_HEADERS_WARNING(BUILD_RUBY Ruby)
  ENDIF(BUILD_RUBY_EXPLICIT)
 ENDIF(NOT RUBY_INCLUDE_PATH )
ENDIF( BUILD_RUBY )

IF( BUILD_PYTHON )
  MESSAGE(STATUS "Building Python bindings" )
  FIND_PACKAGE(PythonLibs)
  IF (PYTHON_LIBRARY)
    FIND_PACKAGE(PythonInterp REQUIRED)
    MESSAGE(STATUS "Found PythonLibs...")
    FIND_PACKAGE(PythonLinkLibs)
    IF (PYTHON_LINK_LIBS)
      MESSAGE(STATUS "Building Python...")
    ENDIF (PYTHON_LINK_LIBS)
  ENDIF (PYTHON_LIBRARY)
  IF(NOT PYTHON_INCLUDE_DIRS )
    # fallback for older versions of cmake
    SET(PYTHON_INCLUDE_DIRS PYTHON_INCLUDE_PATH)
  ENDIF(NOT PYTHON_INCLUDE_DIRS )
  IF(NOT PYTHON_INCLUDE_DIRS )
    IF(BUILD_PYTHON_EXPLICIT)
      NO_HEADERS_WARNING_EXPL(BUILD_PYTHON Python)
    ELSE(BUILD_PYTHON_EXPLICIT)
      NO_HEADERS_WARNING(BUILD_PYTHON Python)
    ENDIF(BUILD_PYTHON_EXPLICIT)
  ENDIF(NOT PYTHON_INCLUDE_DIRS )
ENDIF( BUILD_PYTHON )

IF( BUILD_PERL )
  INCLUDE(FindPerl)
  IF(PERL_EXECUTABLE)
    MESSAGE(STATUS "Building Perl bindings" )
  ELSE(PERL_EXECUTABLE)
    MESSAGE(WARNING "Perl not found" )
  ENDIF(PERL_EXECUTABLE)
ENDIF( BUILD_PERL )

IF( BUILD_JAVA )
  INCLUDE(FindJava)
  IF(JAVA_COMPILE)
    INCLUDE(FindJNI)
    IF(JNI_INCLUDE_DIRS)
      MESSAGE(STATUS "Building Java bindings" )
    ELSE(JNI_INCLUDE_DIRS)
      MESSAGE(WARNING " Java jni.h not found" )
      SET( BUILD_JAVA "NO" )
    ENDIF(JNI_INCLUDE_DIRS)
  ELSE(JAVA_COMPILE)
    MESSAGE(WARNING " Java compiler not found" )
    SET( BUILD_JAVA "NO" )
  ENDIF(JAVA_COMPILE)
ENDIF( BUILD_JAVA )

# swig
IF( BUILD_BINDINGS )
  FIND_PACKAGE(SWIG)
  IF( NOT SWIG_EXECUTABLE)
    FIND_PROGRAM(SWIG_EXECUTABLE
      NAMES swig
      PATHS ${SWIG_DIR} ${SWIG_DIR}/.. ${SWIG_DIR}/../../bin /usr/bin /usr/local/bin ${CMAKE_INSTALL_PREFIX}/bin
    )
    SET(SWIG_VERSION "(unknown version)")
  ELSE ( NOT SWIG_EXECUTABLE)
    # FIND_PACKAGE(SWIG) succeeded, now check the version
    # swig 2.0.4 and lower is known to be broken
    IF (SWIG_VERSION)
      IF(${SWIG_VERSION} VERSION_LESS "2.0.5")
        MESSAGE( FATAL_ERROR "Found SWIG version ${SWIG_VERSION}, please upgrade SWIG to 2.0.5 or later" )
      ENDIF(${SWIG_VERSION} VERSION_LESS "2.0.5")
    ENDIF (SWIG_VERSION)
  ENDIF( NOT SWIG_EXECUTABLE)
ENDIF( BUILD_BINDINGS )

IF ( NOT SWIG_EXECUTABLE )
  MESSAGE( STATUS "SWIG not found, skipping bindings and swig server plugin." )
  IF (BUILD_SWIG_PLUGIN_EXPLICIT)
    MESSAGE( FATAL "Cannot build SWIG server plugin" )
  ENDIF (BUILD_SWIG_PLUGIN_EXPLICIT)
  SET( BUILD_SWIG_PLUGIN NO )
  IF( BUILD_PYTHON_EXPLICIT OR BUILD_RUBY_EXPLICIT OR BUILD_PERL_EXPLICIT OR BUILD_JAVA_EXPLICIT)
    MESSAGE( ERROR "Cannot build client bindings" )
  ENDIF( BUILD_PYTHON_EXPLICIT OR BUILD_RUBY_EXPLICIT OR BUILD_PERL_EXPLICIT OR BUILD_JAVA_EXPLICIT)
ELSE ( NOT SWIG_EXECUTABLE )
  MESSAGE( STATUS "SWIG ${SWIG_VERSION} found at ${SWIG_EXECUTABLE}" )
  ADD_SUBDIRECTORY(bindings)
ENDIF ( NOT SWIG_EXECUTABLE )

# curl

INCLUDE(FindCURL)
IF ( NOT CURL_FOUND)
  MESSAGE( FATAL_ERROR " curl not found" )
ELSE ( NOT CURL_FOUND)
  INCLUDE_DIRECTORIES(${CURL_INCLUDE_DIR})
  IF(CURL_VERSION_STRING)
    STRING(COMPARE LESS ${CURL_VERSION_STRING} "7.12.0" result)
    IF(result LESS 0)
      MESSAGE( FATAL_ERROR " curl version ${CURL_VERSION_STRING} is too low, need 7.12.0 or greater" )
    ENDIF(result LESS 0)    
  ENDIF(CURL_VERSION_STRING)
ENDIF( NOT CURL_FOUND)

# xml2

INCLUDE(FindLibXml2)
IF ( NOT LIBXML2_FOUND)
  MESSAGE( FATAL_ERROR " libxml2 not found" )
ELSE ( NOT LIBXML2_FOUND)
  INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
ENDIF( NOT LIBXML2_FOUND)

# pthreads

INCLUDE(FindThreads)
IF( NOT CMAKE_USE_PTHREADS_INIT )
 MESSAGE( FATAL_ERROR " openwsman needs pthread" )
ELSE( NOT CMAKE_USE_PTHREADS_INIT )
 SET(USE_PTHREAD TRUE)
ENDIF( NOT CMAKE_USE_PTHREADS_INIT )

# dl

FIND_LIBRARY( HAVE_LIBDL "dl" )
IF(HAVE_LIBDL)
 SET(DL_LIBRARIES ${HAVE_LIBDL})
 SET(HAVE_LIBDL 1)
ELSE(HAVE_LIBDL)
 SET(HAVE_LIBDL 0)
ENDIF(HAVE_LIBDL)

# crypt

FIND_LIBRARY( HAVE_LIBCRYPT "crypt" )
IF(HAVE_LIBCRYPT)
 SET(CRYPT_LIBRARIES ${HAVE_LIBCRYPT})
 SET(HAVE_LIBCRYPT 1)
ELSE(HAVE_LIBCRYPT)
 SET(HAVE_LIBCRYPT 0)
ENDIF(HAVE_LIBCRYPT)

# nsl

FIND_LIBRARY( HAVE_LIBNSL "nsl" )
IF(HAVE_LIBNSL)
 SET(HAVE_LIBNSL 1)
ELSE(HAVE_LIBNSL)
 SET(HAVE_LIBNSL 0)
ENDIF(HAVE_LIBNSL)

# socket

FIND_LIBRARY( HAVE_LIBSOCKET "socket" )
IF(HAVE_LIBSOCKET)
 SET(HAVE_LIBSOCKET 1)
ELSE(HAVE_LIBSOCKET)
 SET(HAVE_LIBSOCKET 0)
ENDIF(HAVE_LIBSOCKET)

# cmpisfcc
IF(BUILD_LIBCIM)
FIND_LIBRARY( SFCC_LIBRARIES "cmpisfcc" REQUIRED )
ENDIF(BUILD_LIBCIM)

# Various include files

INCLUDE(CheckIncludeFile)

#
# The wsman_config file checks include file existance via "#if",
# requiring a 0/1 argument
# However CHECK_INCLUDE_FILE , returns ""/"1" resulting in
# an empty argument to "#if" in the 'false' case
# The code below ensures that "HAVE_xxx" is set to "0" or "1"
#

SET (FILES_TO_TEST "crypt.h" "ctype.h" "CUnit/Basic.h" "dirent.h" "dlfcn.h" "ifaddrs.h" "inttypes.h" "memory.h" "netinet/in.h" "net/if_dl.h" "net/if.h" "pam/pam_appl.h" "pam/pam_misc.h" "pthread.h" "security/pam_appl.h" "security/pam_misc.h" "stdarg.h" "stdint.h" "stdlib.h" "strings.h" "string.h" "sys/ioctl.h" "sys/resource.h" "sys/select.h" "sys/sendfile.h" "sys/signal.h" "sys/socket.h" "sys/sockio.h" "sys/stat.h" "sys/types.h" "unistd.h" "vararg.h" )
#SET(FILES_TO_TEST "crypt.h")
FOREACH( FILE ${FILES_TO_TEST})
  STRING(REGEX REPLACE "\\." "_" FILEDOT ${FILE})
  STRING(REGEX REPLACE "/" "_" FILESLASH ${FILEDOT})
  STRING(TOUPPER ${FILESLASH} UPNAME)
#  MESSAGE(STATUS "Looking for ${FILE} as ${UPNAME}")
  SET(HAVENAME "HAVE_${UPNAME}")
  CHECK_INCLUDE_FILE( "${FILE}" HAVE_${FILE}_FILE )
  IF(HAVE_${FILE}_FILE)
    SET(${HAVENAME} 1)
  ELSE(HAVE_${FILE}_FILE)
    SET(${HAVENAME} 0)
  ENDIF(HAVE_${FILE}_FILE)

=== examples/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/examples
#

include_directories(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

SET( serialize_SOURCES serialize.c )
ADD_EXECUTABLE( serialize ${serialize_SOURCES} )

SET( TEST_LIBS wsman wsman_client ${LIBXML2_LIBRARIES} ${CURL_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
TARGET_LINK_LIBRARIES( serialize ${TEST_LIBS} )

CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/test.xml ${CMAKE_CURRENT_BINARY_DIR}/test.xml COPYONLY )

=== include/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/include
#

add_subdirectory(u)
add_subdirectory(cim)

SET( WSMANINCLUDE_HEADERS wsman-types.h wsman-names.h wsman-debug.h wsman-client.h wsman-client-api.h wsman-xml-api.h wsman-xml.h wsman-xml-binding.h wsman-client-transport.h wsman-xml-serializer.h wsman-xml-serialize.h wsman-server-api.h wsman-faults.h wsman-soap-message.h wsman-api.h wsman-xml-api.h wsman-client.h wsman-declarations.h wsman-soap.h wsman-epr.h wsman-filter.h wsman-soap-envelope.h wsman-subscription-repository.h wsman-event-pool.h wsman-cimindication-processor.h )

install(FILES ${WSMANINCLUDE_HEADERS} DESTINATION ${INCLUDE_DIR}/openwsman)

#
#EXTRA_DIST = wsman-xml.h \
#	     wsman-xml-binding.h \
#	     wsman-dispatcher.h \
#	     wsman-xml-serialize.h  \
#	     wsman-server.h \
#	     wsman-plugins.h
#
#

=== bindings/java/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/bindings/java
#
#
# This creates several files
#  1. libjwsman.so
#  2. *.java
#

MESSAGE(STATUS "Java compiler: ${JAVA_COMPILE}")
MESSAGE(STATUS "Java runtime: ${JAVA_RUNTIME}")
MESSAGE(STATUS "Java archiver: ${JAVA_ARCHIVE}")

SET( SWIG_OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/openwsman_wrap.c" )

ADD_CUSTOM_COMMAND (
   OUTPUT  ${SWIG_OUTPUT}
   COMMAND ${CMAKE_COMMAND} -E echo_append "Creating wrapper code for Java ..."
   COMMAND ${SWIG_EXECUTABLE} -java -package org.openwsman -features autodoc -I${CMAKE_BINARY_DIR}/bindings -I${CMAKE_SOURCE_DIR}/bindings -I${CMAKE_SOURCE_DIR}/include -o ${SWIG_OUTPUT} ${SWIG_INPUT}
   COMMAND ${CMAKE_COMMAND} -E echo "Done."
   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../*.i
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

SET( jar_NAME "openwsman-${PACKAGE_ARCHITECTURE}-${VERSION}.jar" )
MESSAGE(STATUS "Java archive name: ${jar_NAME}")

IF(EXPLICIT_TARGET)
  SET( java_TARGET "-target")
ENDIF(EXPLICIT_TARGET)
  
IF(EXPLICIT_SOURCE)
  SET( java_SOURCE "-source")
ENDIF(EXPLICIT_SOURCE)
  
ADD_CUSTOM_COMMAND (
   OUTPUT ${jar_NAME}
   POST_BUILD
   COMMAND ${CMAKE_COMMAND} -E echo_append "Compiling Java files ..."
   COMMAND ${JAVA_COMPILE} ${java_SOURCE} ${EXPLICIT_SOURCE} ${java_TARGET} ${EXPLICIT_TARGET} -d . *.java
   COMMAND ${CMAKE_COMMAND} -E echo_append "Creating JAR ..."
   COMMAND ${JAVA_ARCHIVE} cvf ${jar_NAME} *.so org/*
   DEPENDS ${SWIG_OUTPUT}
)

ADD_CUSTOM_TARGET ( jwsman_all ALL
   COMMAND ${CMAKE_COMMAND} -E echo_append "Building Java bindings ..."
   DEPENDS ${jar_NAME}
)

SET( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall" )

SET(jwsman_SRCS ${SWIG_OUTPUT} ${CMAKE_CURRENT_SOURCE_DIR}/../openwsman.c )
ADD_LIBRARY( jwsman SHARED ${jwsman_SRCS} )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_SOURCE_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/bindings )
INCLUDE_DIRECTORIES( ${JNI_INCLUDE_DIRS} )

TARGET_LINK_LIBRARIES( jwsman wsman )
TARGET_LINK_LIBRARIES( jwsman wsman_client )

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${jar_NAME} DESTINATION /usr/share/java)

enable_testing()

add_subdirectory(tests)

=== bindings/python/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/bindings/python
#
#
# !!Attn!!: This creates two files
#  1. _pywsman.so
#  2. pywsman.py
# and the .py file gets imported. See bindings/python/tests.
#

enable_testing()

add_subdirectory(tests)

EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" OUTPUT_VARIABLE PYTHON_LIB_DIR)
STRING(REPLACE "\n" "" PYTHON_LIB_DIR "${PYTHON_LIB_DIR}")

MESSAGE(STATUS "Python executable: ${PYTHON_EXECUTABLE}")
MESSAGE(STATUS "Python lib dir: ${PYTHON_LIB_DIR}")

SET( SWIG_OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/openwsman_wrap.c" )

ADD_CUSTOM_COMMAND (
   OUTPUT  ${SWIG_OUTPUT}
   COMMAND ${CMAKE_COMMAND} -E echo_append "Creating wrapper code for Python ..."
   COMMAND ${SWIG_EXECUTABLE} -python -features autodoc -features autodoc -I${CMAKE_BINARY_DIR}/bindings -I${CMAKE_SOURCE_DIR}/bindings -I${CMAKE_SOURCE_DIR}/include -o ${SWIG_OUTPUT} ${SWIG_INPUT}
   COMMAND ${CMAKE_COMMAND} -E echo "Done."
   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../*.i
   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/*.h
)

SET( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall" )

SET(pywsman_SRCS ${SWIG_OUTPUT} ${CMAKE_CURRENT_SOURCE_DIR}/../openwsman.c)
ADD_LIBRARY( pywsman SHARED ${pywsman_SRCS} )
SET_TARGET_PROPERTIES( pywsman PROPERTIES PREFIX "_" )

INCLUDE_DIRECTORIES( ${PYTHON_INCLUDE_DIRS} )
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR} )
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/bindings ${CMAKE_SOURCE_DIR}/include )

TARGET_LINK_LIBRARIES( pywsman wsman )
TARGET_LINK_LIBRARIES( pywsman wsman_client )

INSTALL(TARGETS pywsman LIBRARY DESTINATION ${PYTHON_LIB_DIR})
INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/pywsman.py DESTINATION ${PYTHON_LIB_DIR} )

=== src/lib/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/src/lib
#

IF ( BUILD_TESTS )
ADD_SUBDIRECTORY(test)
ENDIF ( BUILD_TESTS )

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

ADD_DEFINITIONS( -DPACKAGE_PLUGIN_DIR="\\\"${PACKAGE_PLUGIN_DIR}\\\"" )

SET( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${XML_CFLAGS} -g -DIGNORE_DUPLICATE_ID" )


########### wsman ###############


SET( UTIL_SOURCES u/buf.c u/log.c u/memory.c u/misc.c  u/uri.c  u/uuid.c u/lock.c u/md5.c u/strings.c u/list.c u/hash.c u/base64.c u/iniparser.c u/debug.c u/uerr.c u/uoption.c u/gettimeofday.c u/syslog.c u/pthreadx_win32.c u/os.c )

SET( wsman_SOURCES ${UTIL_SOURCES} wsman-libxml2-binding.c wsman-xml.c wsman-epr.c wsman-filter.c wsman-dispatcher.c wsman-soap.c wsman-faults.c wsman-xml-serialize.c wsman-soap-envelope.c wsman-debug.c wsman-soap-message.c )

IF( ENABLE_EVENTING_SUPPORT )
SET( wsman_SOURCES ${wsman_SOURCES} wsman-subscription-repository.c wsman-event-pool.c wsman-cimindication-processor.c )
ENDIF( ENABLE_EVENTING_SUPPORT )

ADD_LIBRARY( wsman SHARED ${wsman_SOURCES} )
TARGET_LINK_LIBRARIES( wsman ${LIBXML2_LIBRARIES} )
TARGET_LINK_LIBRARIES( wsman ${CMAKE_THREAD_LIBS_INIT} )
if( HAVE_LIBDL )
TARGET_LINK_LIBRARIES(wsman ${DL_LIBRARIES})
endif( HAVE_LIBDL )

IF( ENABLE_EVENTING_SUPPORT )
TARGET_LINK_LIBRARIES( wsman ${WSMAN_CLIENT_PKG} )
ENDIF( ENABLE_EVENTING_SUPPORT )

SET_TARGET_PROPERTIES(wsman PROPERTIES VERSION 1.0.0 SOVERSION 1)
INSTALL(TARGETS wsman DESTINATION ${LIB_INSTALL_DIR})

########### wsman_server ###############

IF ( NOT DISABLE_SERVER )
 SET( wsman_server_SOURCES wsman-server.c wsman-plugins.c wsman-server-api.c )
 ADD_LIBRARY( ${WSMAN_SERVER_PKG} SHARED ${wsman_server_SOURCES} )
 TARGET_LINK_LIBRARIES( ${WSMAN_SERVER_PKG} wsman )
 SET_TARGET_PROPERTIES( ${WSMAN_SERVER_PKG} PROPERTIES VERSION 1.0.0 SOVERSION 1)
 INSTALL(TARGETS ${WSMAN_SERVER_PKG} DESTINATION ${LIB_INSTALL_DIR})
ENDIF ( NOT DISABLE_SERVER )

########## wsman_curl_client_transport ###############

SET( wsman_curl_client_transport_SOURCES wsman-client-transport.c wsman-curl-client-transport.c )
ADD_LIBRARY( ${WSMAN_CLIENT_TRANSPORT_PKG} SHARED ${wsman_curl_client_transport_SOURCES} )
TARGET_LINK_LIBRARIES( ${WSMAN_CLIENT_TRANSPORT_PKG} ${CURL_LIBRARIES} )
SET_TARGET_PROPERTIES( ${WSMAN_CLIENT_TRANSPORT_PKG} PROPERTIES VERSION 1.0.0 SOVERSION 1)
INSTALL(TARGETS ${WSMAN_CLIENT_TRANSPORT_PKG} DESTINATION ${LIB_INSTALL_DIR})


############### wsman_client ###############

SET( wsman_client_SOURCES wsman-client.c )
ADD_LIBRARY( ${WSMAN_CLIENT_PKG} SHARED ${wsman_client_SOURCES} )
TARGET_LINK_LIBRARIES( ${WSMAN_CLIENT_PKG} wsman_curl_client_transport )
SET_TARGET_PROPERTIES( ${WSMAN_CLIENT_PKG} PROPERTIES VERSION 2.0.0 SOVERSION 2)
INSTALL(TARGETS ${WSMAN_CLIENT_PKG} DESTINATION ${LIB_INSTALL_DIR})

#
#EXTRA_DIST = \
#	wsman-win-client-transport.c

=== src/server/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/src/server
#
include_directories(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR}/src/server/shttpd ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_BINARY_DIR} )

SET( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -g" )

SET(openwsmand_SOURCES shttpd/string.c shttpd/shttpd.c shttpd/auth.c shttpd/md5.c shttpd/adapter.c shttpd/cgi.c)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} shttpd/mime_type.c shttpd/config.c shttpd/io_socket.c)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} shttpd/io_ssl.c shttpd/io_emb.c shttpd/compat_unix.c shttpd/io_dir.c shttpd/io_file.c)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} shttpd/shttpd_defs.h shttpd/llist.h shttpd/shttpd.h shttpd/std_includes.h shttpd/io.h shttpd/md5.h shttpd/ssl.h)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} shttpd/compat_unix.h shttpd/compat_win32.h shttpd/compat_rtems.h shttpd/adapter.h)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} wsmand-listener.h wsmand-daemon.c wsmand-daemon.h wsmand-listener.c)
SET(openwsmand_SOURCES ${openwsmand_SOURCES} gss.c wsmand.c)

ADD_DEFINITIONS(-DEMBEDDED -DNO_CGI -DNO_SSI )
ADD_DEFINITIONS(-DPACKAGE_PLUGIN_DIR="\\\"${PACKAGE_PLUGIN_DIR}\\\"")
ADD_DEFINITIONS(-DPACKAGE_AUTH_DIR="\\\"${PACKAGE_AUTH_DIR}\\\"")
ADD_DEFINITIONS(-DPACKAGE_SUBSCRIPTION_DIR="\\\"${PACKAGE_SUBSCRIPTION_DIR}\\\"")

ADD_EXECUTABLE(openwsmand ${openwsmand_SOURCES})
TARGET_LINK_LIBRARIES(openwsmand wsman_server wsman ${LIBXML2_LIBRARIES})

if( ENABLE_EVENTING_SUPPORT )
TARGET_LINK_LIBRARIES(openwsmand wsman_client)
TARGET_LINK_LIBRARIES(openwsmand ${CURL_LIBRARIES})
endif( ENABLE_EVENTING_SUPPORT )

if( USE_OPENSSL )
include_directories(${OPENSSL_INCLUDE_DIR})
ADD_DEFINITIONS(-DHAVE_OPENSSL )
TARGET_LINK_LIBRARIES(openwsmand ${OPENSSL_LIBRARIES})
endif( USE_OPENSSL )

if( USE_PTHREAD )
TARGET_LINK_LIBRARIES(openwsmand ${CMAKE_THREAD_LIBS_INIT})
endif( USE_PTHREAD )

if( HAVE_LIBDL )
TARGET_LINK_LIBRARIES(openwsmand ${DL_LIBRARIES})
endif( HAVE_LIBDL )

INSTALL(TARGETS openwsmand DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin)

#		
#
#install-data-local:
#	$(mkinstalldirs) $(DESTDIR)$(PACKAGE_SUBSCRIPTION_DIR)

=== tests/xml/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/tests/client
#

ENABLE_TESTING()

include_directories(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

SET( TEST_LIBS wsman wsman_client ${LIBXML2_LIBRARIES} ${CURL_LIBRARIES} "pthread")

SET( xml1_SOURCES xml1.c )
SET( xml2_SOURCES xml2.c )
SET( xml3_SOURCES xml3.c )
SET( xml4_SOURCES xml4.c )

ADD_EXECUTABLE( xml1 ${xml1_SOURCES} )
ADD_EXECUTABLE( xml2 ${xml2_SOURCES} )
ADD_EXECUTABLE( xml3 ${xml3_SOURCES} )
ADD_EXECUTABLE( xml4 ${xml4_SOURCES} )

TARGET_LINK_LIBRARIES( xml1 ${TEST_LIBS} )
TARGET_LINK_LIBRARIES( xml2 ${TEST_LIBS} )
TARGET_LINK_LIBRARIES( xml3 ${TEST_LIBS} )
TARGET_LINK_LIBRARIES( xml4 ${TEST_LIBS} )

ADD_TEST( xml1 xml1 ${CMAKE_CURRENT_SOURCE_DIR}/cim_computersystem_01.xml )
ADD_TEST( xml2 xml2 )
ADD_TEST( xml3 xml3 )
ADD_TEST( xml4 xml4 ${CMAKE_CURRENT_SOURCE_DIR}/cim_computersystem_02.xml )

=== bindings/ruby/tests/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/bindings/ruby/test
#
ENABLE_TESTING()

	# loading rwsman
ADD_TEST(bindings_ruby_loading    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} loading.rb )

	# predefined stuff
ADD_TEST(bindings_ruby_constants  ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} constants.rb )

	# version
ADD_TEST(bindings_ruby_version    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} version.rb )

	# EPR uri
ADD_TEST(bindings_ruby_uri_prefix ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} uri_prefix.rb )

        # Xml bindings
ADD_TEST(bindings_ruby_xmldoc     ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} xmldoc.rb )
ADD_TEST(bindings_ruby_xmlnode    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} xmlnode.rb )
ADD_TEST(bindings_ruby_xmlattr    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} xmlattr.rb )
ADD_TEST(bindings_ruby_xmlfind    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} xmlfind.rb )
	
	# Client
ADD_TEST(bindings_ruby_client     ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} client.rb )
ADD_TEST(bindings_ruby_client_bad ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} client_bad.rb )

	# Transport
ADD_TEST(bindings_ruby_transport  ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} transport.rb )
	
	# ClientOptions
ADD_TEST(bindings_ruby_options    ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} clientoptions.rb )
ADD_TEST(bindings_ruby_debug      ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} debug.rb )
        # Identify
ADD_TEST(bindings_ruby_identify   ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} identify.rb )

	# data types
ADD_TEST(bindings_ruby_fault      ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} fault.rb )

        # needs a CIMOM
ADD_TEST(bindings_ruby_computer_system      ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} cim_computer_system.rb )
ADD_TEST(bindings_ruby_operating_system     ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} cim_operating_system.rb )
ADD_TEST(bindings_ruby_cim_process          ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} cim_process.rb )
ADD_TEST(bindings_ruby_system_configuration ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} cim_system_configuration.rb )
ADD_TEST(bindings_ruby_create               ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} create.rb )
ADD_TEST(bindings_ruby_each_child           ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} each_child.rb )
ADD_TEST(bindings_ruby_enumerate            ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} enumerate.rb )
ADD_TEST(bindings_ruby_get                  ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} get.rb )
ADD_TEST(bindings_ruby_identify             ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} identify.rb )
ADD_TEST(bindings_ruby_invoke               ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} invoke.rb )
ADD_TEST(bindings_ruby_notepad              ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} notepad.rb )
ADD_TEST(bindings_ruby_nsconsts             ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} nsconsts.rb )
ADD_TEST(bindings_ruby_pull                 ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} pull.rb )
ADD_TEST(bindings_ruby_put                  ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} put.rb )
ADD_TEST(bindings_ruby_release              ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} release.rb )

	# needs WinRM system
ADD_TEST(bindings_ruby_win32_operatingsystem ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} win32_operatingsystem.rb )
ADD_TEST(bindings_ruby_win32_process         ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} win32_process.rb )
ADD_TEST(bindings_ruby_win32_services        ${CMAKE_CURRENT_SOURCE_DIR}/ruby -I. -C ${CMAKE_CURRENT_SOURCE_DIR} win32_services.rb )

=== src/plugins/wsman/test/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/src/plugins/wsman/test
#

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} )
SET(wsman_test_SOURCES wsman_test.c wsman_test_stubs.c wsman_test.h)

ADD_LIBRARY( wsman_test SHARED ${wsman_test_SOURCES} )

SET_TARGET_PROPERTIES(wsman_test PROPERTIES VERSION 1.0.0 SOVERSION 1)
INSTALL(TARGETS wsman_test DESTINATION ${PACKAGE_PLUGIN_DIR})

=== debian/changelog ===
openwsman (2.4.7-0ubuntu2) utopic; urgency=medium

  * Fix typo in control file.  

 -- Kent Baxley <kent.baxley@canonical.com>  Thu, 10 Jul 2014 08:13:06 -0500

openwsman (2.4.7-0ubuntu1) utopic; urgency=low

  * New upstream release (LP: #1334832) 

 -- Kent Baxley <kent.baxley@canonical.com>  Fri, 27 Jun 2014 11:07:16 -0500

openwsman (2.4.3-0ubuntu4.1) trusty-security; urgency=low

  * SECURITY UPDATE: Add security fixes from upstream openwsman (LP: #1319089)
    - debian/patches/ws-xml-make-default-prefix-buff-overflow-fix.patch:
      ws_xml_make_default_prefix() can overflow buf parameter via sprintf()
    - debian/patches/wsmc-create-request-fix-buff-overflow.patch:
      wsmc_create_request() potential buf[20] overflow via WSMAN_ACTION_RENEW
    - debian/patches/LocalSubscriptionOpUpdate-fix-fopen.patch:
      address LocalSubscriptionOpUpdate() unchecked fopen()
    - debian/patches/wsman-get-fault-status-sanity-guard-fix.patch:
      Fix incorrect order of sanity guards in wsman_get_fault_status_from_doc()
    - debian/patches/mem-allocation-wsman-init-plugins-fix.patch:
      Fix unchecked memory allocation in wsman_init_plugins(), p->ifc
    - debian/patches/mem-allocation-mem-double-newptr-fix.patch:
      Fix unchecked memory allocation in mem_double(), newptr
    - debian/patches/mem-allocation-dictionary-new-fix.patch:
      Fix unchecked memory allocation in dictionary_new(), d, d->val, d->key,
      d->hash
    - debian/patches/mem-allocation-u-error-new-fix.patch:
      Fix unchecked memory allocation in u_error_new(), *error
    - debian/patches/remove-unsafe-debug-call-from-sighup-handler.patch:
      sighup_handler() in wsmand.c use of unsafe functions in a signal handler
    - debian/patches/SHA512-password-fixes.patch:
      Support SHA512 password encoding, use safe_cmp to prevent brute-force
      attacks
    - debian/patches/increase-password-upper-limit.patch:
      increase password upper limit to 128 characters (from 64)

 -- Kent Baxley <kent.baxley@canonical.com>  Fri, 06 Jun 2014 12:55:02 -0500

=== debian/control ===
Source: openwsman
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.0.0), cmake (>= 2.8.5), libssl-dev, libpam0g-dev, libxml2-dev, libcurl4-openssl-dev, libcimcclient0-dev, swig, python-dev
Standards-Version: 3.9.5
Homepage: http://openwsman.github.io/

Package: openwsman
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Web Services Manager
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides a basic WS Manager daemon.

Package: libwsman-server1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Open Web Services Manager run-time libraries
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the core run-time libraries.

Package: libopenwsman1
Depends: libwsman1, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: Transitional dummy package for libwsman
 This is a transitional dummy package. It can be safely removed.

Package: libwsman1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopenwsman1 (<< 2.4.3-0ubuntu4)
Breaks: libopenwsman1 (<< 2.4.3-0ubuntu4)
Description: Open Web Services Manager run-time libraries
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the core run-time libraries.

Package: libwsman-client2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopenwsman1 (<< 2.4.3-0ubuntu4)
Breaks: libopenwsman1 (<< 2.4.3-0ubuntu4)
Description: Open Web Services Manager run-time libraries
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the client run-time libraries.

Package: libwsman-curl-client-transport1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libopenwsman1 (<< 2.4.3-0ubuntu4)
Breaks: libopenwsman1 (<< 2.4.3-0ubuntu4)
Description: Open Web Services Manager run-time libraries
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the curl client transport run-time libraries.

Package: libopenwsman-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwsman1 (= ${binary:Version}), openwsman (= ${binary:Version})
Description: Open Web Services Manager library development files
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the library development headers.

Package: libwsman-clientpp1
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libwsman1 (= ${binary:Version})
Description: Open Web Services Manager C++ bindings
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the C++ bindings to the Openwsman client libraries

Package: libwsman-clientpp-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwsman-clientpp1 (= ${binary:Version})
Description: Open Web Services Manager C++ bindings development files
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the development files for the C++ interface to the
 Openwsman client libraries

Package: python-openwsman
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libwsman1 (= ${binary:Version})
Description: Open Web Services Manager Python bindings
 Openwsman is a project intended to provide an open-source implementation of
 the Web Services Management specification (WS-Management) and to expose
 system management information on the Linux operating system using the
 WS-Management protocol. WS-Management is based on a suite of web services
 specifications and usage requirements that exposes a set of operations
 focused on and covers all system management aspects.
 .
 This package provides the Python bindings for the Openwsman client API.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_OPTIONS

export CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --builddirectory=build

override_dh_auto_configure: 
	mkdir build
	cd build && cmake .. \
	  -DLIB=$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
	  -DCMAKE_LIBRARY_ARCHITECTURE=$(DEB_HOST_MULTIARCH) \
	  -DCMAKE_INSTALL_PREFIX=/usr \
	  -DCMAKE_VERBOSE_MAKEFILE=TRUE \
	  -DEXPLICIT_TARGET="$(EXPLICIT_TARGET)" \
	  -DBUILD_RUBY_GEM=no

override_dh_auto_install:
	mkdir -p debian/tmp/etc/openwsman
	install -m 644 etc/openwsman_client.conf debian/tmp/etc/openwsman/
	dh_auto_install -O--builddirectory=build
	mv debian/tmp/etc/openwsman/owsmangencert.sh \
	   debian/tmp/usr/sbin/owsmangencert

override_dh_auto_test:

## openwsman 2.6.5

=== tests/epr/CMakeLists.txt ===
#
# CMakeLists.txt for openwsman/tests/epr
#

ENABLE_TESTING()

include_directories(${CMAKE_SOURCE_DIR}/include ${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} )

SET( TEST_LIBS wsman wsman_client ${LIBXML2_LIBRARIES} ${CURL_LIBRARIES} "pthread")

SET( test_epr_SOURCES test_epr.c )

ADD_EXECUTABLE( test_epr ${test_epr_SOURCES} )

TARGET_LINK_LIBRARIES( test_epr ${TEST_LIBS} )

ADD_TEST(test_epr test_epr)

=== debian/changelog ===
openwsman (2.6.5-0ubuntu8) lunar; urgency=medium

  * Turn off python build in debian/rules.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Dec 2022 08:24:11 +0000

openwsman (2.6.5-0ubuntu7) lunar; urgency=medium

  * Drop python2 bindings.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 31 Dec 2022 08:09:04 +0000

openwsman (2.6.5-0ubuntu6) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:11:39 +0000

openwsman (2.6.5-0ubuntu5) focal; urgency=medium

  * Switch to python2-dev build-dependency.
  * Patch duplicate define used in case statement.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 01 Apr 2020 18:04:24 +0100

openwsman (2.6.5-0ubuntu4) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:22:16 +0100

openwsman (2.6.5-0ubuntu3) bionic; urgency=medium

  * debian/control: breaks/replaces for libwsman-client2.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Sat, 10 Mar 2018 05:32:44 -0500

openwsman (2.6.5-0ubuntu2) bionic; urgency=medium

  * Fix binary package to reflect the bumped soname from libwsman-client2
    to libwsman-client4.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 09 Mar 2018 10:07:10 -0500

openwsman (2.6.5-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * d/p/fix_with_openssl1.11: Allow build with openssl 1.11 (LP: #1754012)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Thu, 08 Mar 2018 08:19:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.0.0), cmake (>= 2.8.5), libssl-dev, libpam0g-dev, libxml2-dev, libcurl4-openssl-dev, libcimcclient0-dev, swig, python-dev
+Build-Depends: debhelper (>= 9.0.0), cmake (>= 2.8.5), libssl-dev, libpam0g-dev, libxml2-dev, libcurl4-openssl-dev, libcimcclient0-dev, swig, dh-python
 Standards-Version: 3.9.5
 Homepage: http://openwsman.github.io/
 
@@ -59,13 +59,13 @@
  .
  This package provides the core run-time libraries.
 
-Package: libwsman-client2
+Package: libwsman-client4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libopenwsman1 (<< 2.4.3-0ubuntu4)
-Breaks: libopenwsman1 (<< 2.4.3-0ubuntu4)
+Replaces: libopenwsman1 (<< 2.4.3-0ubuntu4), libwsman-client2
+Breaks: libopenwsman1 (<< 2.4.3-0ubuntu4), libwsman-client2
 Description: Open Web Services Manager run-time libraries
  Openwsman is a project intended to provide an open-source implementation of
  the Web Services Management specification (WS-Management) and to expose
@@ -136,18 +136,3 @@
  .
  This package provides the development files for the C++ interface to the
  Openwsman client libraries
-
-Package: python-openwsman
-Section: python
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libwsman1 (= ${binary:Version})
-Description: Open Web Services Manager Python bindings
- Openwsman is a project intended to provide an open-source implementation of
- the Web Services Management specification (WS-Management) and to expose
- system management information on the Linux operating system using the
- WS-Management protocol. WS-Management is based on a suite of web services
- specifications and usage requirements that exposes a set of operations
- focused on and covers all system management aspects.
- .
- This package provides the Python bindings for the Openwsman client API.
-
